# Collection of quirks and blacklist/whitelists for specific devices.


# Accelerometer device, posts data through ABS_X/ABS_Y, making X unusable
# http://bugs.freedesktop.org/show_bug.cgi?id=22442 
Section "InputClass"
        Identifier "ThinkPad HDAPS accelerometer blacklist"
        MatchProduct "ThinkPad HDAPS accelerometer data"
        Option "Ignore" "on"
EndSection

# https://bugzilla.redhat.com/show_bug.cgi?id=523914
# Mouse does not move in PV Xen guest
# Explicitly tell evdev to not ignore the absolute axes.
Section "InputClass"
        Identifier "Xen Virtual Pointer axis blacklist"
        MatchProduct "Xen Virtual Pointer"
        Option "IgnoreAbsoluteAxes" "off"
        Option "IgnoreRelativeAxes" "off"
EndSection

# https://bugs.freedesktop.org/show_bug.cgi?id=55867
# Bug 55867 - Doesn't know how to tag XI_TRACKBALL
Section "InputClass"
        Identifier "Tag trackballs as XI_TRACKBALL"
        MatchProduct "trackball"
        MatchDriver "evdev"
        Option "TypeName" "TRACKBALL"
EndSection

# https://bugs.freedesktop.org/show_bug.cgi?id=62831
# Bug 62831 - Mionix Naos 5000 mouse detected incorrectly
Section "InputClass"
        Identifier "Tag Mionix Naos 5000 mouse XI_MOUSE"
        MatchProduct "La-VIEW Technology Naos 5000 Mouse"
        MatchDriver "evdev"
        Option "TypeName" "MOUSE"
EndSection
Section "ServerLayout"
    Identifier "Default Layout"
    Screen "Default Screen"
EndSection

 

Section "Module"
    Load "dbe"
    Load "extmod"
    Load "freetype"
    Load "glx"
    Load "dri"
EndSection

 

Section "InputDevice"
    Identifier "Generic Keyboard"
    Driver "kbd"
    Option "XkbLayout" "us"
    Option "XkbModel" "pc105"
    Option "XkbRules" "xorg"
EndSection

 

Section "InputDevice"
    Identifier "Configured Mouse"
    Driver "mouse"
    Option "CorePointer"
EndSection

 

Section "Device"
    Identifier "Your Accelerated Framebuffer Device"
    Driver "vivante"
    Option "fbdev" "/dev/fb0"
    Option "vivante_fbdev" "/dev/fb0"
    Option "HWcursor" "false"
EndSection

 

Section "Monitor"
    Identifier "Configured Monitor"
EndSection

 


Section "Screen"
    Identifier "Default Screen"
    Monitor "Configured Monitor"
    Device "Your Accelerated Framebuffer Device"
    DefaultDepth 24
EndSection

 

Section "DRI"
    Mode 0666
EndSection
